#ifndef CHESSY_MINIMAX_H
#define CHESSY_MINIMAX_H

#include <iostream>

#include "MoveGeneration.h"

namespace chessy
{
    
    /*!
     * \brief conducts a performance test iterating through all positions
     *        up to a specified depth.
     *
     * \param out the stream to write info to
     * \param chessGame the game to iterate through the positions
     * \param depth how deep to search (in halfmoves)
     *
     * \return the number of nodes visited
     */
    size_t perft(std::ostream& out, ChessGame& chessGame, int depth);

    Move miniMax(ChessGame& chessGame);
}



#endif // CHESSY_MIrIMAX_H

